Bug 847868 - [RFE] support posix schema for user and group sync
Summary: [RFE] support posix schema for user and group sync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-13 20:44 UTC by Nathan Kinder
Modified: 2013-02-21 08:20 UTC (History)
1 user (show)

Fixed In Version: 389-ds-base-1.2.11.13-1.el6
Doc Type: Release Note
Doc Text:
Posix Schema Support for 389 Directory Server Windows Active Directory (AD) supports the POSIX schema (RFC 2307 and 2307bis) for user and group entries. In many cases, AD is used as the authoritative source of user and group data, including POSIX attributes. With Red Hat Enterprise Linux 6.4, Directory Server Windows Sync no longer ignores these attributes. Users are now able to synchronize POSIX attributes with Windows Sync between AD and 389 Directory Server. Note When adding new user and group entries to the Directory Server, the POSIX attributes are not synced to AD. Adding new user and group entries to AD will synchronize to the Directory Server, and modifying attributes will synchronize them both ways.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:20:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-08-13 20:44:20 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/426

Support the new standard posix attributes in 2003 R2 and later, and the MS SFU posix schema.

Comment 1 Rich Megginson 2012-08-21 16:54:36 UTC
The usersync test suite has been enhanced with posix support (and also support for automatically creating a windows VM with AD and PassSync).

Comment 2 Rich Megginson 2012-08-29 23:57:07 UTC
r6908 | rmeggins@REDHAT.COM | 2012-08-29 17:56:11 -0600 (Wed, 29 Aug 2012) | 7 lines

Resolves: bug 818762 winsync should not delete entry that appears to be out of scope
Resolves: bug 847868 [RFE] support posix schema for user and group sync

The tests have been enhanced to cover more posix attribute checking.
Added tests for ticket 355/bug 818762
The tests by default will ignore errors caused by tickets 415 and 428

Comment 4 Sankar Ramalingam 2013-01-30 11:30:07 UTC
Feature has been successfully tested with latest 389-ds-base-1.2.11.15-11 builds. It has been tested on fresh RHEL6.4 instance as well as in the upgraded RHEL6.4 instances.

Marking the bug as verified since no issues found.

Comment 5 errata-xmlrpc 2013-02-21 08:20:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.